package com.mortals.xhx.module.goview.web;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.IUser;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.goview.model.GoviewProjectEntity;
import com.mortals.xhx.module.goview.service.GoviewProjectService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.*;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 项目
*
* @author zxfei
* @date 2023-04-13
*/
@RestController
@RequestMapping("goview/project")
public class GoviewProjectController extends BaseCRUDJsonBodyMappingController<GoviewProjectService,GoviewProjectEntity,Long> {

    @Autowired
    private ParamService paramService;

    public GoviewProjectController(){
        super.setModuleDesc( "项目");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "state", paramService.getParamBySecondOrganize("GoviewProject","state"));
        super.init(model, context);
    }


    /**
     * 发布为模板
     * @param entity
     * @return
     */
    @PostMapping({"publish/masterplate"})
    public String publishMasterplate(@RequestBody GoviewProjectEntity entity) {
        Map<String, Object> model = new HashMap();
        Context context = this.getContext();
        String busiDesc = "发布模板";
        int code=1;
        try {
            if(entity.getId()==null){
                throw new AppException("项目ID不能为空");
            }
            service.publishMasterplate(entity.getId(), context);
            model.put("id", entity.getId());
            model.put("entity", entity);
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】 [id:" + entity.getId() + "]");
        } catch (Exception var7) {
            this.doException(this.request, busiDesc, model, var7);
            model.put("entity", entity);
            code = -1;
        }
        this.init(model, context);
        JSONObject ret = new JSONObject();
        ret.put("code", code);
        ret.put("msg", model.remove("message_info"));
        ret.put("data", model);
        return ret.toJSONString();
    }
}