package com.mortals.xhx.module.question.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.question.model.vo.QuestionVo;
/**
* 问答信息实体对象
*
* @author zxfei
* @date 2022-06-29
*/

public class QuestionEntity extends QuestionVo {
    private static final long serialVersionUID = 1L;

    /**
    * 问题类型备用字段
    */
    private Integer questionType;
    /**
    * 状态0未完成1已完成
    */
    private Integer status;
    /**
    * 客户id
    */
    private Long customerId;
    /**
    * 客户真实名称
    */
    private String custName;
    /**
    * 单位名称
    */
    private String organization;
    /**
    * 联系电话
    */
    private String contactTelphone;
    /**
    * 创建用户名称
    */
    private String createUserName;
    /**
    * 修改时间
    */
    private Date beginTime;
    /**
    * 修改时间
    */
    private Date finishTime;
    /**
    * 评价
    */
    private Integer evaluate;
    /**
    * 问答次数
    */
    private Integer sumQA;



    public QuestionEntity(){}
    /**
    * 获取 问题类型备用字段
    * @return Integer
    */
    public Integer getQuestionType(){
        return questionType;
    }
    /**
    * 设置 问题类型备用字段
    * @param questionType
    */
    public void setQuestionType(Integer questionType){
        this.questionType = questionType;
    }
    /**
    * 获取 状态0未完成1已完成
    * @return Integer
    */
    public Integer getStatus(){
        return status;
    }
    /**
    * 设置 状态0未完成1已完成
    * @param status
    */
    public void setStatus(Integer status){
        this.status = status;
    }
    /**
    * 获取 客户id
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 客户id
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 客户真实名称
    * @return String
    */
    public String getCustName(){
        return custName;
    }
    /**
    * 设置 客户真实名称
    * @param custName
    */
    public void setCustName(String custName){
        this.custName = custName;
    }
    /**
    * 获取 单位名称
    * @return String
    */
    public String getOrganization(){
        return organization;
    }
    /**
    * 设置 单位名称
    * @param organization
    */
    public void setOrganization(String organization){
        this.organization = organization;
    }
    /**
    * 获取 联系电话
    * @return String
    */
    public String getContactTelphone(){
        return contactTelphone;
    }
    /**
    * 设置 联系电话
    * @param contactTelphone
    */
    public void setContactTelphone(String contactTelphone){
        this.contactTelphone = contactTelphone;
    }
    /**
    * 获取 创建用户名称
    * @return String
    */
    public String getCreateUserName(){
        return createUserName;
    }
    /**
    * 设置 创建用户名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName){
        this.createUserName = createUserName;
    }
    /**
    * 获取 修改时间
    * @return Date
    */
    public Date getBeginTime(){
        return beginTime;
    }
    /**
    * 设置 修改时间
    * @param beginTime
    */
    public void setBeginTime(Date beginTime){
        this.beginTime = beginTime;
    }
    /**
    * 获取 修改时间
    * @return Date
    */
    public Date getFinishTime(){
        return finishTime;
    }
    /**
    * 设置 修改时间
    * @param finishTime
    */
    public void setFinishTime(Date finishTime){
        this.finishTime = finishTime;
    }
    /**
    * 获取 评价
    * @return Integer
    */
    public Integer getEvaluate(){
        return evaluate;
    }
    /**
    * 设置 评价
    * @param evaluate
    */
    public void setEvaluate(Integer evaluate){
        this.evaluate = evaluate;
    }
    /**
    * 获取 问答次数
    * @return Integer
    */
    public Integer getSumQA(){
        return sumQA;
    }
    /**
    * 设置 问答次数
    * @param sumQA
    */
    public void setSumQA(Integer sumQA){
        this.sumQA = sumQA;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof QuestionEntity) {
            QuestionEntity tmp = (QuestionEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",questionType:").append(getQuestionType());
        sb.append(",status:").append(getStatus());
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",custName:").append(getCustName());
        sb.append(",organization:").append(getOrganization());
        sb.append(",contactTelphone:").append(getContactTelphone());
        sb.append(",createUserName:").append(getCreateUserName());
        sb.append(",beginTime:").append(getBeginTime());
        sb.append(",finishTime:").append(getFinishTime());
        sb.append(",evaluate:").append(getEvaluate());
        sb.append(",sumQA:").append(getSumQA());
        return sb.toString();
    }

    public void initAttrValue(){

            this.questionType = null;

            this.status = 0;

            this.customerId = null;

            this.custName = "";

            this.organization = "";

            this.contactTelphone = "";

            this.createUserName = "";

            this.beginTime = null;

            this.finishTime = null;

            this.evaluate = 0;

            this.sumQA = 0;
    }
}